<template>
    <div>
        <base-header class="header pb-8 pt-5 pt-lg-8 d-flex align-items-center">
            <!-- Mask -->
            <span class="mask bg-gradient-primary opacity-8"></span>
            <!-- Header container -->
            <div class="container-fluid d-flex align-items-center">
                <div class="row">
                    <div class="col-lg-12 col-md-10">
                        <h1 class="display-2 text-white">Generate token</h1>
                    </div>
                </div>
            </div>
        </base-header>

        <div class="container-fluid mt--7">
            <div class="row">
                <div class="col-xl-12 order-xl-1">
                    <card shadow type="secondary">
                        <div slot="header" class="bg-white border-0">
                            <div class="row align-items-center">
                                <div class="col-8">
                                    <h3 class="mb-0">My username : {{userData.username}}</h3>
                                    <span class="text-danger" v-if="error">{{error}}</span>
                                </div>
                            </div>
                        </div>
                        <template>
                            <div class="col-lg-12">
                                <textarea
                                    id="textarea"
                                    v-model="token"
                                    placeholder="Enter Generate"
                                    rows="6"
                                    class="form-control">
                                </textarea>
                                <hr class="my-4" />
                                    <div class="form-group text-right">
                                        <button class="btn btn-lg btn-primary" type="button" @click="genToken()">Generate</button>
                                    </div>
                                </div>    
                        </template>
                    </card>
                </div>
            </div>
        </div>
    </div>
</template>
<script>
  export default {
    name: 'user-profile',
    data() {
      return {
        userData : [],
        token: '',
        message : '',
        error :''
      }
    },
    created() {
        this.getProfile()
    },methods: {
        getProfile() {
          //console.log(localStorage.token)
          this.$http.get('/manage/profile',{
          headers: {
            Authorization: 'Bearer ' + localStorage.token
            }
          })
          .then(response => (this.userData = response.data))
        },
        genToken(){
            this.$http.get('/manage/gentoken/'+localStorage.user_id)
            .then(response => (this.token = response.data.token))
        }
    },
  };
</script>
<style></style>
